Bug 21015 - nextcloud-client need be updated - preferrably before mga6 release
Summary: nextcloud-client need be updated - preferrably before mga6 release
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: High normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: mga6-64-ok MGA6-32-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2017-06-02 14:27 CEST by Morgan Leijström
Modified: 2017-11-19 12:40 CET (History)
9 users (show)

See Also:
Source RPM: nextcloud-client-2.2.4-6.mga6.src.rpm
CVE:
Status comment:


Attachments

Description Morgan Leijström 2017-06-02 14:27:46 CEST
We have 2.2.4, while latest stable is 2.3.1
https://nextcloud.com/install/#install-clients
Comment 1 Morgan Leijström 2017-06-02 14:42:04 CEST
for mga6 core release that is

AND 

It would be good if also put in backport in mga5 !
When done i will edit https://wiki.mageia.org/en/OwnCloud#Client_upgrading

Priority: Normal => High
CC: (none) => lists.jjorge, luigiwalser, zombie_ryushu
Whiteboard: (none) => MGA5TOO

David Walser 2017-06-02 17:00:59 CEST

CC: (none) => mageia

Marja van Waes 2017-06-03 08:49:23 CEST

Assignee: bugsquad => mageia
CC: (none) => marja11

Comment 2 Morgan Leijström 2017-06-24 13:38:43 CEST
There are "a ton of bugfixes", crash fixes, and lot more (i would suspect some security enhancement too)
https://owncloud.org/changelog/desktop/

(i could not find *nextcloud* client changelog but i guess it is same source still, + branding? )

Would be great if it could sneak in to mga6 release if not too late...

José ?
Comment 3 Zombie Ryushu 2017-06-24 13:43:28 CEST
Yes. The major difference seems to be that NextCloud works with KDE 5 Plasma Wallet while OwnCloud Client seems to use the KDE 4 Wallet. Which means Plasma users can use the Pam KDE 5 Wallet module to authenticate if they are using Kerberos.
Comment 4 Morgan Leijström 2017-06-24 13:48:08 CEST
BTW, is it possible to make it use its own logo for the Plasma system tray- same it use for the program ( oOo ) ?

Currently at least all Nextcloud, ownCloud, and Dropbox clients confusingly use same symbol, while i.e Syncthing thanfully use its own.
Morgan Leijström 2017-07-18 15:07:10 CEST

Whiteboard: MGA5TOO => MGA5TOO MGA6TOO

Comment 5 magnux77 2017-07-29 16:25:04 CEST
Mageia 6 has been released and NextCloud has not been updated.

We are now at the end of july and every time i log in, a popup window invites me to upgrade to NextCloud 2.3.1 using my distrib package tools. But there is still no 2.3.1 available.

CC: (none) => magnux77

Comment 6 José Jorge 2017-09-27 19:36:31 CEST
Mageia has a policy, it does not provide updates if they do not fix security or reproductible bugs.

If you read the client changelog at https://owncloud.org/changelog/desktop/ you will see there are lots of crashes in the first 2.3.x releases.

Still, we can provide it as a backport. If the maintainer agrees, I volunteers to do it.

Status: NEW => ASSIGNED

Comment 7 David Walser 2017-09-27 20:36:49 CEST
We've updated owncloud-client to the latest stable before.  Compatibility with web services is one of reasons we make exceptions to the policy, so I think this qualifies.  You shouldn't need to do it as a backport.
Comment 8 Morgan Leijström 2017-09-27 22:30:20 CEST
I think it should have similar treatment as i.e Firefox.
Because of stability, compatibility, and security.
(and possibly the server part too)
Comment 9 claire robinson 2017-11-09 19:07:27 CET
Ping for this update please.

Client shows a nag message each login that an update is available and to check the repository. Should be reason enough to update.

Current stable is 2.3.2
Mga6 has 2.2.4 from September 2016.
claire robinson 2017-11-09 19:11:29 CET

CC: (none) => eeeemail

Comment 10 José Jorge 2017-11-11 17:33:43 CET
As this has come to a general agreement, I have submitted 2.3.2 version to updates_testing.

Please, keep it testing for some days to ensure we have no new crashes.

Assignee: mageia => qa-bugs

Comment 11 claire robinson 2017-11-11 21:44:09 CET
Thanks Jose. It doesn't start though.

$ nextcloud
nextcloud: symbol lookup error: nextcloud: undefined symbol: _ZN3OCC7Utility12platformNameEv

Was Cauldron also updated? I'll set the bug version if so.
Comment 12 claire robinson 2017-11-11 21:48:19 CET
Hmm missed updating a library. Rebooting again.
Comment 13 claire robinson 2017-11-11 21:55:19 CET
Segfaults.


$ rpm -qa | grep next
lib64nextcloudsync0-2.3.2-1.mga6
nextcloud-client-2.3.2-1.mga6

$ nextcloud
Segmentation fault (core dumped)
Comment 14 José Jorge 2017-11-12 12:53:37 CET
(In reply to claire robinson from comment #13)
> $ rpm -qa | grep next
> lib64nextcloudsync0-2.3.2-1.mga6
> nextcloud-client-2.3.2-1.mga6
> 
> $ nextcloud
> Segmentation fault (core dumped)

I should have sent the file list, you missed lib64ocsync0.

To test in i586, I did :

urpmi --searchmedia testing nextcloud-client libocsync0 libnextcloudsync0

Then it works nicely.

Whiteboard: MGA5TOO MGA6TOO => (none)
Version: Cauldron => 6

Comment 15 José Jorge 2017-11-12 12:55:14 CET
I have removed mga5 from our target : we are too near it's EOL to waste testing in this.
Comment 16 claire robinson 2017-11-12 15:30:17 CET
That was it José thanks. Seems fine so far.

I'll report back in a few days mga6 64.
Comment 17 claire robinson 2017-11-14 17:40:44 CET
Tested under Mate and Plasma mga6 64

OK across several reboots and suspends.

Whiteboard: (none) => mga6-64-ok

Comment 18 Lewis Smith 2017-11-18 21:30:31 CET
Wanting to invent an advisory for this, I am confused about the SRPM version. Bug comments say 2.3.2-1, but the SRPMs update link shows nextcloud-12.0.3-1.mga6.src.rpm. Please clarify!
I added a 32-bit OK from comment 14.

CC: (none) => lewyssmith
Whiteboard: mga6-64-ok => mga6-64-ok MGA6-32-OK

Lewis Smith 2017-11-18 21:31:41 CET

CC: (none) => sysadmin-bugs
Keywords: (none) => validated_update

Comment 19 David Walser 2017-11-19 03:29:36 CET
Lewis, this bug is for nextcloud-client, not nextcloud.
Comment 20 Lewis Smith 2017-11-19 11:19:09 CET
(In reply to David Walser from comment #19)
> Lewis, this bug is for nextcloud-client, not nextcloud.
I suspected that, but did not see it listed; I doubt that I would have overlooked it - it is there now! Advisory invented from early comment & the SRPMs link; & uploaded.

Keywords: (none) => advisory

Comment 21 Mageia Robot 2017-11-19 12:20:45 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2017-0113.html

Status: ASSIGNED => RESOLVED
Resolution: (none) => FIXED

Comment 22 Morgan Leijström 2017-11-19 12:40:54 CET
Thank you :)

Note You need to log in before you can comment on or make changes to this bug.